Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class CurveSequence

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.imp3d.objects.Sequence
                  de.grogra.imp3d.objects.CurveSequence

All Implemented Interfaces:
  ContextDependent, BSplineCurveList, Manageable, Shareable

    public class CurveSequence

extends Sequence
implements BSplineCurveList

Nested Class Summary
`static class` | `CurveSequence.Type`

Field Summary
`static CurveSequence.Type` | `$TYPE`

Fields inherited from class de.grogra.imp3d.objects.Sequence
`DOWNWARD, DOWNWARD_AXIS, name$FIELD, PATH_TYPE, path$FIELD, UPWARD_AXIS, UPWARD_BRANCH`

Constructor Summary
`CurveSequence()`
`CurveSequence(java.lang.String name)`

Method Summary
`boolean` | `areCurvesCompatible(GraphState gs)`
`protected java.lang.Object` | `calculateCache(Matrix4d inv, java.util.ArrayList list, GraphState gs, java.lang.Object info)`
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`int` | `getDegree(int curve, GraphState gs)`
`int` | `getDimension(int curve, GraphState gs)`
`float` | `getKnot(int curve, int index, GraphState gs)`
`ManageableType` | `getManageableType()`
`int` | `getSize(GraphState gs)`
`int` | `getSize(int curve, GraphState gs)`
`int` | `getVertex(float[] out, int curve, int index, GraphState gs)`
`boolean` | `isRational(int curve, GraphState gs)`
`protected void` | `visitNode(java.lang.Object node, java.lang.Object shape, java.util.ArrayList list, GraphState gs)`
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.imp3d.objects.Sequence
`calculateCache, getCache, getName, getPath, setName, setPath`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final CurveSequence.Type $TYPE

Constructor Detail

### CurveSequence

    public CurveSequence()

### CurveSequence

    public CurveSequence(java.lang.String name)

Method Detail

### areCurvesCompatible

    public boolean areCurvesCompatible(GraphState gs)

  Specified by:
    `areCurvesCompatible` in interface `BSplineCurveList`

### calculateCache

    protected java.lang.Object calculateCache(Matrix4d inv,
                                              java.util.ArrayList list,
                                              GraphState gs,
                                              java.lang.Object info)

  Specified by:
    `calculateCache` in class `Sequence`

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDegree

    public int getDegree(int curve,
                         GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurveList`

### getDimension

    public int getDimension(int curve,
                            GraphState gs)

  Specified by:
    `getDimension` in interface `BSplineCurveList`

### getKnot

    public float getKnot(int curve,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `BSplineCurveList`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `BSplineCurveList`

### getSize

    public int getSize(int curve,
                       GraphState gs)

  Specified by:
    `getSize` in interface `BSplineCurveList`

### getVertex

    public int getVertex(float[] out,
                         int curve,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `BSplineCurveList`

### isRational

    public boolean isRational(int curve,
                              GraphState gs)

  Specified by:
    `isRational` in interface `BSplineCurveList`

### visitNode

    protected void visitNode(java.lang.Object node,
                             java.lang.Object shape,
                             java.util.ArrayList list,
                             GraphState gs)

  Specified by:
    `visitNode` in class `Sequence`

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Overrides:
    `writeStamp` in class `ContextDependentBase`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD